Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomModelTUV

Gets the [t] (EDGES) and [u, v] (FACES) geometry parameters of DM points that are associated geometry relationships. Requires a DM with a EGADS model attached.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomModelTUV(DM dm) PeNS

Collective

## Input Parameter

- dm - The DM object representing the mesh with PetscContainer containing an EGADS geometry model

## See Also

`DMPLEX`, `DMCreate()`, `DMPlexCreateGeom()`, `DMPlexGeomDataAndGrads()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages